Subject: Support: LL2 ARP Mechanism to disable v4 LL

From: Stuart Cheshire <[email-masked]>
Date: Sun, 23 Feb 2003 14:00:51 -0800

Keith Moore suggested an ARP-based mechanism to disable use of IPv4LL.

Since an ARP-based denial-of-service attack is possible anyway by another 
device on the same physical link, it makes sense to standardize this, 
instead of having different vendors each invent their own different 
denial-of-service attack to shut down IPv4LL.

I propose that in response to an ARP Probe, an ARP Response giving 
all-zeroes as the sender hardware address, and the requested address as 
the sender IP address, serves to tell the sender not to use IPv4LL on 
this network for some period of time. The time period could be the 
standard one-minute mentioned elsewhere in the document, or longer. It 
should not be longer than five minutes, because we don't want it to take 
an undue length of time for the network to recover after such a 
denial-of-service attack.

Stuart Cheshire <[email-masked]>
 * Wizard Without Portfolio, Apple Computer, Inc.
 * www.stuartcheshire.org